org.apache.ignite.events

## Class PageReplacementStartedEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.PageReplacementStartedEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>, Event

    public class PageReplacementStartedEvent
    extends EventAdapter

Event type indicating that page replacement started in one of the configured data regions.

See Also:
  `EventType.EVT_PAGE_REPLACEMENT_STARTED`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PageReplacementStartedEvent(ClusterNode node, String msg, String dataRegionName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `dataRegionName()` Gets data region name for which page replacement started.

### Methods inherited from class org.apache.ignite.events.EventAdapter

`compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, shortDisplay, timestamp, toString, type, type`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageReplacementStartedEvent

    public PageReplacementStartedEvent(ClusterNode node,
                                       String msg,
                                       String dataRegionName)

Parameters:
  `node` - Node on which the event was fired.
  `msg` - Optional event message.
  `dataRegionName` - Data region name.

### Method Detail

#### dataRegionName

    public String dataRegionName()

Gets data region name for which page replacement started.

Returns:
  Data region name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020